%define debug_package %{nil}

Summary:	Vehicle Logs Events And Protobuf Parser
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		vleapp
Version:	2.0.0
Release:	6%{?dist}
URL:		https://github.com/abrignoni/VLEAPP

License:	GPL

Group:		Applications/Forensics Tools
Source:		%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}-patch-paths
Patch1:		%{name}-%{version}-patch-001
Patch2:		%{name}-%{version}-patch-002
Patch3:		%{name}-%{version}-patch-003
Patch4:		%{name}-%{version}-patch-004
Patch5:		%{name}-%{version}-patch-005

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}

%if 0%{?centos} == 9 || 0%{?rhel} == 9
%ifarch aarch64
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^libffi-2a6f5b63.so.8.1.0
%endif
%endif

%if 0%{?centos} == 7 || 0%{?amzn}
BuildRequires:	rh-python38-python-devel rh-python38-python-tkinter
%define		__python	/usr/bin/python3.8
%endif

%if 0%{?centos} == 8 || 0%{?rhel} == 8
BuildRequires:	python39-devel python39-tkinter
%define		__python	/usr/bin/python3.9
%endif

%if 0%{?centos} == 9 || 0%{?rhel} == 9
BuildRequires:	python3-devel python3-tkinter
%define		__python	/usr/bin/python3
%endif

%if 0%{?fedora}
BuildRequires:	python3.10-devel python3.10-tkinter
%define		__python	/usr/bin/python3.10
%endif

BuildRequires:	upx


%description
Vehicle Logs Events And Protobuf Parser

%prep
%autosetup -p1

%build
%if 0%{?centos} == 7 || 0%{?amzn}

echo $(echo which python3 | scl enable rh-python38 -) -m venv VE | scl enable rh-python38 -

pushd /opt/rh/rh-python38/root/usr/lib64
for file in libpython3.*
do
	if [[ ! -e /opt/rh/rh-python38/root/usr/lib/$file ]]
	then
		sudo ln $file /opt/rh/rh-python38/root/usr/lib/$file
	fi
done
popd
#sudo ln /opt/rh/rh-python38/root/usr/lib64/libpython3.* /opt/rh/rh-python38/root/usr/lib

%else

%{__python} -m venv VE
%endif

sh -c "source VE/bin/activate; pip3 install --upgrade pip"
%if 0%{?centos}0%{?amzn} == 70
sh -c "source VE/bin/activate; pip install -i https://mirrors.aliyun.com/pypi/simple/ pymupdf==1.18.0"
%endif
sh -c "source VE/bin/activate; pip3 install --upgrade 'pyinstaller==4.10'"
sh -c "source VE/bin/activate; pip3 install --upgrade pytz"
sh -c "source VE/bin/activate; pip  install -r requirements.txt"
sh -c "source VE/bin/activate; pyinstaller -F vleapp.spec"
sh -c "source VE/bin/activate; pyinstaller -F vleappGUI.spec"

%install
mkdir -p %{buildroot}/%{_bindir}
%__install -m 755 dist/%{name}    %{buildroot}%{_bindir}/%{name}
%__install -m 755 dist/%{name}GUI %{buildroot}%{_bindir}/%{name}GUI

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(555, bin, bin)	%{_bindir}/%{name}
%attr(555, bin, bin)	%{_bindir}/%{name}GUI

%changelog
* Thu Nov 30 2023 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-6
* Release 2.0.0-6
	Version 2.0.0-6
	Patched as of 2023-11-30 (patch-005)

* Thu Nov 16 2023 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-5
* Release 2.0.0-5
	Version 2.0.0-5
	Patched as of 2023-11-16 (patch-004)

* Thu Oct 19 2023 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-4
* Release 2.0.0-4
	Version 2.0.0-4
	Patched as of 2023-10-19 (patch-003)

* Thu Oct 12 2023 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-3
* Release 2.0.0-3
	Version 2.0.0-3
	Patched as of 2023-10-12 (patch-002)

* Tue Oct 10 2023 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-2
* Release 2.0.0-2
	Version 2.0.0-2
	Patched as of 2023-10-10 (patch-003)

* Thu Sep 28 2023 Lawrence R. Rogers <lrr@cert.org> - 2.0.0-1
* Release 2.0.0-1
	Version 2.0.0-1

